Component (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.domain
Class Component

    java.lang.Object
      org.hibernate.metamodel.domain.AbstractAttributeContainer
          org.hibernate.metamodel.domain.Component

All Implemented Interfaces:
  AttributeContainer, Hierarchical, Type

    public class Component

extends AbstractAttributeContainer

Models the notion of a component (what JPA calls an Embeddable).

NOTE : Components are not currently really hierarchical. But that is a feature I want to add.

Nested Class Summary

Nested classes/interfaces inherited from class org.hibernate.metamodel.domain.AbstractAttributeContainer
`AbstractAttributeContainer.IndexedPluralAttributeImpl, AbstractAttributeContainer.PluralAttributeImpl, AbstractAttributeContainer.SingularAttributeImpl`

Constructor Summary
`Component(String name, String className, Value<Class<?>> classReference, Hierarchical superType)`

Method Summary
`String` | `getRoleBaseName()` Obtain the name of this container in terms of creating attribute role names.
`boolean` | `isAssociation()`
`boolean` | `isComponent()`

Methods inherited from class org.hibernate.metamodel.domain.AbstractAttributeContainer
`addAttribute, attributes, createBag, createComponentAttribute, createList, createMap, createPluralAttribute, createSet, createSingularAttribute, createVirtualSingularAttribute, getClassName, getClassReference, getClassReferenceUnresolved, getName, getSuperType, locateAttribute, locateBag, locateComponentAttribute, locateList, locateMap, locatePluralAttribute, locateSet, locateSingularAttribute, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Component

    public Component(String name,
                     String className,
                     Value<Class<?>> classReference,
                     Hierarchical superType)

Method Detail

### isAssociation

    public boolean isAssociation()

### isComponent

    public boolean isComponent()

### getRoleBaseName

    public String getRoleBaseName()

  Description copied from interface: `AttributeContainer`
  Obtain the name of this container in terms of creating attribute role names.

  NOTE : A role uniquely names each attribute. The role name is the name of the attribute prefixed by the "path" to its container.

  Specified by:
    `getRoleBaseName` in interface `AttributeContainer`
  Overrides:
    `getRoleBaseName` in class `AbstractAttributeContainer`
  Returns:
    The container base name for role construction.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.